Package org.drinkless.tdlib

# Class TdApi.SearchChatsNearby

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatsNearby>
org.drinkless.tdlib.TdApi.SearchChatsNearby

Enclosing class:
  TdApi

public static class TdApi.SearchChatsNearby extends TdApi.Function<TdApi.ChatsNearby>
Returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

Returns `ChatsNearby`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Location`
  `location`
  Current user location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchChatsNearby()`
  Default constructor for a function, which returns a list of users and location-based supergroups nearby.
  `SearchChatsNearby(TdApi.Location location)`
  Creates a function, which returns a list of users and location-based supergroups nearby.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    public TdApi.Location location
    Current user location.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchChatsNearby

    public SearchChatsNearby()
    Default constructor for a function, which returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

    Returns `ChatsNearby`

  - ### SearchChatsNearby

    public SearchChatsNearby(TdApi.Location location)
    Creates a function, which returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

    Returns `ChatsNearby`

    Parameters:
      `location` - Current user location.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatsNearby>`
    Returns:
      this.CONSTRUCTOR